qocgpiywhm
API Reference

Link Extractor

POST
/api/v1/tools/extract_links

Use to list links on a page as structured rows: url, title, desc, rel, nofollow, internal/external, and kind. Not cleaned article body. An empty page returns item error no_links. After filter and dedupe, all unique links are returned; truncated_links is always false.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

const body = JSON.stringify({  "url": "https://www.python.org/"})fetch("https://example.com/api/v1/tools/extract_links", {  method: "POST",  headers: {    "Content-Type": "application/json"  },  body})
{  "correlation_id": "00000000-0000-4000-8000-000000000001",  "data": {    "results": [      {        "data": {          "links": [            {              "url": "https://www.python.org/",              "title": "Python",              "rel": [],              "is_nofollow": false,              "is_internal": true,              "kind": "html"            },            {              "url": "https://docs.python.org",              "title": "Docs",              "rel": [],              "is_nofollow": false,              "is_internal": false,              "kind": "html"            },            {              "url": "https://pypi.org/",              "title": "PyPI",              "rel": [],              "is_nofollow": false,              "is_internal": false,              "kind": "html"            }          ],          "count": 3,          "count_internal": 1,          "count_external": 2,          "truncated_links": false,          "base_url": "https://www.python.org/"        },        "meta": {          "url": "https://www.python.org/",          "final_url": "https://www.python.org/",          "status_code": 200,          "content_type": "text/html; charset=utf-8",          "via_proxy": false,          "retries": 0        }      }    ]  }}